### Method

# Panel SaveDelegate set_icon_name

#### Declaration [src]

    void
    panel_save_delegate_set_icon_name (
      PanelSaveDelegate* self,
      const char* icon
    )

#### Description [src]

Sets the icon name for the save delegate. Pass `NULL` to unset.

Sets property | `Panel.SaveDelegate:icon-name`

#### Parameters

`icon`

  Type: `const char*`

  The icon name or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.